> ## Documentation Index
> Fetch the complete documentation index at: https://gnosispay-feat-v2-docs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Onchain Instant Withdrawals

> Create request to withdraw funds onchain to wallet address

## Create Withdrawal Request

The [`POST /user/withdrawals`](/api-reference/user-movements/create-withdrawal) endpoint allows you to create a withdrawal request for a user.

The withdrawal happens to the GP Safe's owner wallet address.

<Info>
  **Withdrawals are per token.** Each withdrawal request targets a single token via `tokenAddress`.
</Info>

<Warning>
  **Withdrawal Restrictions:**

  * Only specific tokens are currently supported for withdrawals.
  * Withdrawals are restricted to the Safe owner address, the wallet address that initiated the Safe deployment via the [`POST /user/account`](/api-reference/user-account/create-account) endpoint.
</Warning>

<Note>
  **Token addresses supported for withdrawals:**

  **Celo**

  * CeloUSDT = `0x48065fbbe25f71c9282ddf5e1cd6d6a887483d5e`
  * CeloUSDC = `0xceba9300f2b948710d2653dd7b07f33a8b32118c`

  **Gnosis Chain**

  * EURe = `0xcB444e90D8198415266c6a2724b7900fb12FC56E`
  * GBPe = `0x5Cb9073902F2035222B9749F8fB0c9BFe5527108`
  * USDCe = `0x2a22f9c3b484c3629090FeED35F17Ff8F88f76F0`

  See [Tokens and Chains Supported](/concepts/safe/tokens-and-chains-supported) for the full reference.
</Note>

<Tabs>
  <Tab title="Sandbox">
    ```bash theme={null}
    curl --request POST \
      --url https://core.sandbox.gnosispay.in/user-api/user/withdrawals \
      --header 'Content-Type: application/json' \
      --data '{
        "tokenAddress": "<string>",
        "amount": "<string>"
      }'
    ```
  </Tab>

  <Tab title="Production">
    ```bash theme={null}
    curl --request POST \
      --url https://core.prod.gnosispay.com/user-api/user/withdrawals \
      --header 'Content-Type: application/json' \
      --data '{
        "tokenAddress": "<string>",
        "amount": "<string>"
      }'
    ```
  </Tab>
</Tabs>
